node check
  (sec: bool;
  bea: bool)
returns
  (ok: bool);

var
  V14_ontime: bool;
  V15_late: bool;
  V16_early: bool;
  V17_p_late: bool;
  V18_pp_late: bool;
  V47_diff: int;
  V48_pdiff: int;
  V49_pontime: bool;

let
  ok = (((not (V15_late and V16_early)) and (not (V17_p_late and V16_early))) 
  and (not (((not V18_pp_late) and V17_p_late) and (not V17_p_late))));
  V14_ontime = (not (V16_early or V15_late));
  V15_late = ((V49_pontime and (V47_diff < -3)) or ((false -> (pre V15_late)) 
  and (V47_diff < -1)));
  V16_early = ((V49_pontime and (V47_diff > 3)) or ((false -> (pre V16_early)) 
  and (V47_diff > 1)));
  V17_p_late = (false -> (pre V15_late));
  V18_pp_late = (false -> (pre V17_p_late));
  V47_diff = ((V48_pdiff + (if bea then 1 else 0)) + (if sec then -1 else 0));
  V48_pdiff = (0 -> (pre V47_diff));
  V49_pontime = (true -> (pre V14_ontime));
tel

